Download it now!
Bug 95027 - Numbered paragraphs applied incorrectly
Summary: Numbered paragraphs applied incorrectly
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: interoperability
Keywords: bibisected, filter:docx, regression
Depends on:
Blocks: DOCX-Bullet-Number-Outline-Lists
  Show dependency treegraph
 
Reported: 2015-10-14 00:13 UTC by Matthew Holloway
Modified: 2019-09-09 11:28 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Numbered list applied to headings (61.60 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2015-10-14 00:13 UTC, Matthew Holloway
Details
How Microsoft Office 2013 renders numbered paragraphs (19.14 KB, image/png)
2015-10-14 00:15 UTC, Matthew Holloway
Details
How LibreOffice currently renders a numbered list (60.93 KB, image/png)
2015-10-14 00:16 UTC, Matthew Holloway
Details
Full PDF Export from MSO 2013 (353.53 KB, application/pdf)
2015-12-19 20:34 UTC, Joel Madero
Details
Full PDF export of the bugdoc from current master (51.20 KB, application/pdf)
2019-09-08 23:16 UTC, Gabor Kelemen
Details
numbered-list compared in MSO LO5.0 LO6.4+.png (129.72 KB, image/png)
2019-09-09 11:27 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Holloway 2015-10-14 00:13:51 UTC
Created attachment 119570 [details]
Numbered list applied to headings

In the attached document paragraphs are numbered when Microsoft Office doesn't number them.
Comment 1 Matthew Holloway 2015-10-14 00:15:10 UTC
Created attachment 119571 [details]
How Microsoft Office 2013 renders numbered paragraphs

See the "Content of the report back" ... paragaraph and how it doesn't have a number.
Comment 2 Matthew Holloway 2015-10-14 00:16:54 UTC
Created attachment 119572 [details]
How LibreOffice currently renders a numbered list

See the "Content of the report back" ... paragaraph and how it does have a number.
Comment 3 Joel Madero 2015-10-14 03:42:08 UTC
Confirmed:
Ubuntu 15.04 x64
LibreOffice 5.0.2.2

New:
Minor - not going to prevent high quality work;
Medium - regression
Comment 4 raal 2015-10-14 12:26:20 UTC
bibisect-win32-5.0, oldest version contains bug too.
git checkout oldest: Version: 4.5.0.0.alpha0+
Build ID: 57d6b92b69a31260dea0d84fcd1fc5866ada7adb
Comment 5 raal 2015-11-19 19:29:54 UTC
Reproducible with bibisect-44max$ git checkout oldest

Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e
Comment 6 Robinson Tryon (qubit) 2015-12-13 12:20:18 UTC Comment hidden (obsolete)
Comment 7 Joel Madero 2015-12-19 20:34:56 UTC
Created attachment 121415 [details]
Full PDF Export from MSO 2013
Comment 8 Joel Madero 2015-12-19 21:10:39 UTC
0b37d1fca3cd8cd23454122064b8148d343e8903 is the first bad commit
commit 0b37d1fca3cd8cd23454122064b8148d343e8903
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Sun Dec 9 20:06:26 2012 +0000

    source-hash-6263315825e01e766668b9ce5d2eb52e71e051a7
    
    commit 6263315825e01e766668b9ce5d2eb52e71e051a7
    Author:     Tor Lillqvist <tlillqvist@suse.com>
    AuthorDate: Tue Jun 26 11:45:13 2012 +0300
    Commit:     Tor Lillqvist <tlillqvist@suse.com>
    CommitDate: Wed Jun 27 12:56:31 2012 +0300
    
        Whitespace cleanup
    
        Change-Id: I52590908e6ba59c19aded2771d779c1cfa3a45ea

:100644 100644 a2d23215b5fcf4c47430c7f26fc14a82de44f674 85f63c5ef6a3f100e2ce8861ea1910a900ee3c3e M	ccache.log
:100644 100644 3f89bf5e09158109d64e4adf5c466639f115fe4e 14e2b9b93bcc086fd7f97cc37f874a6d401f9e0b M	commitmsg
:100644 100644 fb5bd93a7a999751a645f7cb8b586cf3b4029c7c c53250a15330543dcdac45df7f352a1998cbf906 M	dev-install.log
:100644 100644 0ef1592319178fe88cbc459fe9bc550f5890ad14 d728220497c81f0a39b790d3089bed8b356f8927 M	make.log
:040000 040000 c1f06b8b5dcc355a31693364165f418050d85cac e04077ccb92260fdf49a5a183c151a4607cab44f M	opt

# bad: [423a84c4f7068853974887d98442bc2a2d0cc91b] source-hash-c15927f20d4727c3b8de68497b6949e72f9e6e9e
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect start 'latest' 'oldest'
# bad: [e02439a3d6297a1f5334fa558ddec5ef4212c574] source-hash-6b8393474974d2af7a2cb3c47b3d5c081b550bdb
git bisect bad e02439a3d6297a1f5334fa558ddec5ef4212c574
# bad: [8f4aeaad2f65d656328a451154142bb82efa4327] source-hash-1885266f274575327cdeee9852945a3e91f32f15
git bisect bad 8f4aeaad2f65d656328a451154142bb82efa4327
# good: [369369915d3582924b3d01c9b01167268ed38f3b] source-hash-45295f3cdceb4c289553791071b5d7f4962d2ec4
git bisect good 369369915d3582924b3d01c9b01167268ed38f3b
# good: [6fce03a944bf50e90cd31e2d559fe8705ccc993e] source-hash-47e4a33a6405eb1b5186027f55bd9cb99b0c1fe7
git bisect good 6fce03a944bf50e90cd31e2d559fe8705ccc993e
# bad: [da317333e5675622f55c9dda17396c659af65320] source-hash-15af925c254f27046427de70a59011e2ac3d6bdb
git bisect bad da317333e5675622f55c9dda17396c659af65320
# bad: [daa21bbd8c7b50e2ca1c2cbed0e39f0e7b5a1cb2] source-hash-6b11a18071254a443c8fe7e7b0b1c95b0f9fd35e
git bisect bad daa21bbd8c7b50e2ca1c2cbed0e39f0e7b5a1cb2
# good: [e270c448410216194de63a2e4c2a16cb6f9a89dd] source-hash-77987eacff20dec40caf29aae61d262239d441e9
git bisect good e270c448410216194de63a2e4c2a16cb6f9a89dd
# bad: [0b37d1fca3cd8cd23454122064b8148d343e8903] source-hash-6263315825e01e766668b9ce5d2eb52e71e051a7
git bisect bad 0b37d1fca3cd8cd23454122064b8148d343e8903
# good: [56e0b2e447c2ff52af50c3469dc5e565d86c14df] source-hash-fcda0878e99d5792e150705f63f3ba25b5d8d14c
git bisect good 56e0b2e447c2ff52af50c3469dc5e565d86c14df
# first bad commit: [0b37d1fca3cd8cd23454122064b8148d343e8903] source-hash-6263315825e01e766668b9ce5d2eb52e71e051a7
Comment 9 Aron Budea 2016-09-01 05:37:59 UTC
Adjusting earliest version, based on bibisect it's probably 3.6, but I tested with 4.0.0.3.
Comment 10 QA Administrators 2018-06-26 02:42:57 UTC Comment hidden (obsolete)
Comment 11 Gabor Kelemen 2019-09-08 23:16:48 UTC
Created attachment 154029 [details]
Full PDF export of the bugdoc from current master

Looks good in:

Verzió: 6.4.0.0.alpha0+
Build az.: 001f739f1bca7607b0f8cf5f0c7e500dea70db44
CPU szálak: 4; OS: Linux 4.15; Felületmegjelenítés: alapértelmezett; VCL: gtk3; 
Területi beállítások: hu-HU (hu_HU.UTF-8); Felület nyelve: hu-HU
Calc: threaded

Numbering goes to 75 just like in attachment #121415 [details]
Comment 12 Timur 2019-09-09 11:27:22 UTC
Created attachment 154051 [details]
numbered-list compared in MSO LO5.0 LO6.4+.png

Aa Gabor noticed, looks good now, so I'll close.
Comment 13 Timur 2019-09-09 11:28:03 UTC
If there's some issue that remained, please comment.